From b28ba5a8bda62b0effc05a49f6edd42dfc1db9f1 Mon Sep 17 00:00:00 2001
From: Zhiwei Chen <chenzhiwei03@kuaishou.com>
Date: Sun, 21 Mar 2021 11:16:57 +0800
Subject: [PATCH] Fix hide-if wrong-type-argument in org src block bug#47279

---
 lisp/progmodes/hideif.el | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/hideif.el b/lisp/progmodes/hideif.el
index 923f85fd4d..bd18f49df8 100644
--- a/lisp/progmodes/hideif.el
+++ b/lisp/progmodes/hideif.el
@@ -1743,12 +1743,13 @@ hif-add-new-defines
 (defun hide-ifdef-guts ()
   "Does most of the work of `hide-ifdefs'.
 It does not do the work that's pointless to redo on a recursive entry."
-  ;; (message "hide-ifdef-guts")
   (save-excursion
     (let* ((case-fold-search t) ; Ignore case for `hide-ifdef-header-regexp'
+           (buf-name (buffer-file-name))
            (expand-header (and hide-ifdef-expand-reinclusion-protection
+                               buf-name
                                (string-match hide-ifdef-header-regexp
-                                             (buffer-file-name))
+                                             buf-name)
                                (zerop hif-recurse-level)))
            (case-fold-search nil)
            min max)
-- 
2.24.3 (Apple Git-128)

